function [ ] = CreateTable2( strc  )
%% Create Table 2 of paper
% Init
Names_Of_measures = {'VehicleSpeed' ... %1
    'BrakingPressure' ...
    'RawSensor' ...
    'SteeringWheelAngle' ... %abs 'SteeringWheelRotati' ...
    'YawRate' ...            %abs
    'TransversalAccelera' ... % abs
    'LongitudinalAcceler' ... % abs
    'EngineRPM' ...
    'TransmRangeEngaged_' ... % 9
    'RearWheelAnglePosit'}; % abs % 10
Table_Matrix = nan(20,6);
Rowcounter = 1;

% Start writing into excel
for NameID = 1:length(Names_Of_measures)
    route.Sport = [];
    route.Comfort = [];
    RR_road.Sportrawtotal = [];
    RR_road.Comfortrawtotal = [];
    HW.Sportrawtotal = [];
    HW.Comfortrawtotal = [];
    route.Sportrawtotal     = [];
    route.Comfortrawtotal = [];
    
    for i = 1:4
        if NameID < 4 ||  NameID == 8 ||  NameID == 9
            eval(sprintf('RR_road.Sport_raw  = strc.Experiment{1}.sub.cond(1).rep(i).%s;', Names_Of_measures{NameID}));
            eval(sprintf('RR_road.Comfort_raw = strc.Experiment{1}.sub.cond(2).rep(i).%s;', Names_Of_measures{NameID}));
            eval(sprintf('HW.Sport_raw        = strc.Experiment{2}.sub.cond(1).rep(i).%s;', Names_Of_measures{NameID}));
            eval(sprintf('HW.Comfort_raw      = strc.Experiment{2}.sub.cond(2).rep(i).%s;', Names_Of_measures{NameID}));
        else % take absolute
            eval(sprintf('RR_road.Sport_raw  = abs(strc.Experiment{1}.sub.cond(1).rep(i).%s);', Names_Of_measures{NameID}));
            eval(sprintf('RR_road.Comfort_raw = abs(strc.Experiment{1}.sub.cond(2).rep(i).%s);', Names_Of_measures{NameID}));
            eval(sprintf('HW.Sport_raw        = abs(strc.Experiment{2}.sub.cond(1).rep(i).%s);', Names_Of_measures{NameID}));
            eval(sprintf('HW.Comfort_raw      = abs(strc.Experiment{2}.sub.cond(2).rep(i).%s);', Names_Of_measures{NameID}));
        end
        
        RR_road.Sport(i)   = mean(RR_road.Sport_raw);
        RR_road.Comfort(i) = mean(RR_road.Comfort_raw);
        HW.Sport(i)        = mean(HW.Sport_raw);
        HW.Comfort(i)      = mean(HW.Comfort_raw);
        route.Sport = [route.Sport; RR_road.Sport(i); HW.Sport(i)];
        route.Comfort = [route.Comfort; RR_road.Comfort(i); HW.Comfort(i)];
        
        % Used for percentile
        RR_road.Sportrawtotal   = [RR_road.Sportrawtotal; RR_road.Sport_raw];
        RR_road.Comfortrawtotal = [RR_road.Comfortrawtotal; RR_road.Comfort_raw];
        HW.Sportrawtotal        = [HW.Sportrawtotal; HW.Sport_raw];
        HW.Comfortrawtotal      = [HW.Comfortrawtotal; HW.Comfort_raw];
        route.Sportrawtotal     = [RR_road.Sportrawtotal; RR_road.Sport_raw; HW.Sport_raw];
        route.Comfortrawtotal   = [RR_road.Comfortrawtotal; RR_road.Comfort_raw; HW.Comfort_raw]; 
    end
    Table_Matrix(Rowcounter,:) = [mean(route.Sport) mean(route.Comfort) ...
        mean(RR_road.Sport) mean(RR_road.Comfort) ...
        mean(HW.Sport) mean(HW.Comfort)];
    Rowcounter = Rowcounter + 1;
    Table_Matrix(Rowcounter,:) = [std(route.Sport) std(route.Comfort) ...
        std(RR_road.Sport) std(RR_road.Comfort) ...
        std(HW.Sport) std(HW.Comfort)];
    Rowcounter = Rowcounter + 1;
end

% Create excel file
% Headers
xlswrite('Table2.xlsx',{'Combined route' '' 'Rural road' '' 'Highway' ''},'B1:G1')
xlswrite('Table2.xlsx',{'Sport' 'Comfort' 'Sport' 'Comfort' 'Sport' 'Comfort'},'B2:G2')
xlswrite('Table2.xlsx',{'Mean Speed' 'SD Speed' ...
    'Mean Brake pressure' 'SD Brake pressure'...
    'Mean throttle' 'SD throttle'...
    'Mean abs SWA' 'SD abs SWA' ...
    'Mean abs YawRate' 'SD abs YawRate' ...
    'Mean abs lat acc' 'SD abs lat acc' ...
    'Mean abs Long acc' 'Mean abs Long acc' ... % abs
    'Mean Engine RPM' 'SD Engine RPM'...
    'Mean gear position' 'SD gear position' ... % 9
    'Mean abs rearwheel angle' 'SD abs rearwheel angle'}.','A3:A22')
xlswrite('Table2.xlsx',Table_Matrix,'B3:G22')
disp(['** Table 2 is created **'])
end